1

I want to use this RF22 module (in a breakout board) with a Raspberry Pi Pico. However, I have tried both the RadioHead (which is for teensy boards, as i found out later) and RF22 library without any success. The code cannot be compiled for Raspberry Pi Pico. Do you have any other libraries to suggest that I could use?

1 Answer 1

2

This is a working library: https://www.airspayce.com/mikem/arduino/RadioHead/

I had the modified library installed that is compatible with Teensy boards.

3
  • 2
    Your answer could be improved with additional supporting information. Please edit to add further details, such as citations or documentation, so that others can confirm that your answer is correct. You can find more information on how to write good answers in the help center.
    – Community Bot
    Sep 15, 2022 at 21:23
  • In addition to the Community Bot's comment above, I'd like to encourage you to provide a brief description of your development environment; i.e. are you using the default RPi 4, or macOS, or Windows, or Linux, or...?
    – Seamus
    Sep 16, 2022 at 23:12
  • I am using windows, i am writing code on arduino IDE with the arduino-pico core, and i am using the raspberry pi pico h 2021. As for documentation, the links provide the necessary details. Sep 19, 2022 at 7:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.